@echo off

set InputApp=geneferocl_windows_3.3.3-2.exe

set Kolik=%1%
if NOT "%~1"=="" GOTO DeviceGPU

:Chybka
echo *** Ocekavam prvni parametr, ktery urcuje pocet testu k pripraveni ***
echo * Napr. Start_priprava_testu.bat 1

set Kolik=1
set /p Kolik=Kolik testu:
if not '%Kolik%'=='' set Kolik=%Kolik%

:DeviceGPU
set DeviceGPU=%2
IF NOT [%2] == [] GOTO :CoTestovat

@echo:
echo *** Ocekam druhy parametr, ktery urcuje Device GPU, tedy na kterem zarizeni se bude pocitat ***
echo * Vyplňujte jen tehdy, pokud mate napr. integrovanou i externi grafiu nebo vice externich GPU %Kolik% 1
echo * Napr. Start_testu_GFNGPU.bat %Kolik% 1

set DeviceGPU=0
set /p DeviceGPU=Device GPU:
if not '%DeviceGPU%'=='' set DeviceGPU=%DeviceGPU:~0,2%

:CoTestovat
set Kandidat=%3
IF NOT [%3] == [] GOTO Poustej

@echo:
echo *** Ocekam treti  parametr, ktery urcuje kandidata pro testovani, napr. "943184^4194304+1" ***
echo * Pozor na syntaxy zadavani exponentu, musi byt v uvozovkach, tedy nap. "943184^4194304+1 " * 

set Kandidat="943184^4194304+1"
set /p Kandidat=Zadej kandidata k testovani, jinak pouziji vychoziho:
if not '%Kandidat%'=='' set Kandidat=%Kandidat%

:Poustej
@echo:
ECHO ** Pripravim %Kolik% testu na Device GPU %DeviceGPU% a budu testovat %Kandidat% **
rem timeout 3

:Kopiruj
ECHO *** Pripravuji...
for /l %%x in (1,1,%Kolik%) do (
 ECHO * Kopiruji TestGFNGPU_%%x
  mkdir TestGFNGPU_%%x
  cd TestGFNGPU_%%x
  copy /Y ..\_InputApps\%InputApp%
  echo %InputApp% -d %DeviceGPU% -q %Kandidat% >_Run_this_app.bat
  cd ..
 ECHO * Poustim test c. %%x...
 start _start_testu.cmd TestGFNGPU_%%x _Run_this_app.bat
 timeout 2
 )
@echo:
ECHO *** Melo by bezet %Kolik% testu ***
timeout 10

EXIT